#!/bin/bash

set -e

tmp=$(mktemp -d)

trap cleanup EXIT
cleanup() {
    set +e
    [ -z "$tmp" -o ! -d "$tmp" ] || rm -rf "$tmp"
}

unset CDPATH
pwd=$(pwd)
name=toot2
version=3.beta2
versionshort=3beta2

cd "$tmp"
svn co http://toot2.googlecode.com/svn/tags/$versionshort/ $name-$version
cd $name-$version
find . -type d -name "\.svn" | xargs rm -fr -- || :
cd ..
tar jcf "$pwd"/$name-$version.tar.bz2 $name-$version
echo "Written: $name-$version.tar.bz2"
cd - >/dev/null
