%global prerel .beta2

Name:             toot2
Summary:          Java models and frameworks for Audio/MIDI
URL:              http://toot.org.uk/index.html
Group:            Development/Libraries
Version:          3
Release:          0.4%{?prerel}%{?dist}
# License is GPLv2+ with some exceptions (a.k.a. Toot License)
License:          GPLv2+ with exceptions
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root
# Upstream doesn't provide a tarball.
# We extract the source from their cvs.
Source:           %{name}-%{version}%{?prerel}.tar.bz2
Source1:          %{name}-build.xml
Source9:          %{name}-snapshot.sh

BuildArch:        noarch

BuildRequires:    ant
BuildRequires:    jpackage-utils
BuildRequires:    java-devel >= 1.7
BuildRequires:    tritonus-shared

Requires:         jpackage-utils
Requires:         java >= 1.7
Requires:         tritonus-shared

%description
Toot Software provides open source Java models and frameworks for Audio, MIDI
and Music Theory problem domains. These domains are modelled with minimal
coupling, namely audio mixer automation is saved as MIDI files and MIDI
synthesizers generate audio.

%package javadoc
Summary:          Javadocs for %{name}
Group:            Documentation
Requires:         %{name} = %{version}-%{release}
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{version}%{?prerel}

# Use the system tritonus instead of the shipped one:
rm -fr src/org/tritonus
mkdir lib
ln -s %{_libdir}/tritonus/tritonus_share.jar lib/
sed -i 's|classpath=.*|classpath="lib/tritonus_share.jar"|' javadoc.xml

# Fix EOL encoding
sed 's|\r||' src/uk/org/toot/LICENSE_1_0.txt > tmpfile
touch -r src/uk/org/toot/LICENSE_1_0.txt tmpfile
mv -f tmpfile src/uk/org/toot/LICENSE_1_0.txt

# Copy the builder
install -m 644 %{SOURCE1} build.xml

%build
export CLASSPATH="lib/tritonus_share.jar"
%ant -Dversion=%{version}
%ant -f javadoc.xml

%install
rm -rf %{buildroot}
# jars
install -dm 755 %{buildroot}%{_javadir}
install -pm 644 lib/%{name}.jar %{buildroot}%{_javadir}/%{name}-%{version}.jar
ln -s %{name}-%{version}.jar %{buildroot}%{_javadir}/%{name}.jar

# javadoc
install -dm 755 %{buildroot}%{_javadocdir}/%{name}
cp -pr doc/* %{buildroot}%{_javadocdir}/%{name}


%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc src/uk/org/toot/*.txt
%{_javadir}/%{name}*.jar

%files javadoc
%defattr(-,root,root,-)
%{_javadocdir}/%{name}


%changelog
* Sun Apr 26 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 3-0.4.beta2
- Update to 3beta2

* Sun Apr 19 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 3-0.3.beta1
- Use the system tritonus instead of the shipped one

* Wed Apr 15 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 3-0.2.beta1
- Disable building of AOT bits, since this package requires java > 1.5

* Wed Mar 25 2009 Orcan Ogetbil <oget [DOT] fedora [AT] gmail [DOT] com> - 3-0.1.beta1
- Initial Fedora build. SPEC file borrowed from SUSE.

* Mon Jan 14 2008 Toni Graffy <toni@links2linux.de> - 2.01-0.pm.1
- packaged release 2.01
